window.Gleam.initSearch([{"doc":"iso_8859","title":"iso_8859","content":"# Gleam ISO/IEC 8859 Decoder\n\nThis Gleam library decodes ISO/IEC 8859 binary data into native UTF-8 strings. All 15\nISO/IEC 8859 encodings are supported.\n\nWhen targeting JavaScript the native `TextDecoder` is used instead.\n\nSee https://en.wikipedia.org/wiki/ISO/IEC_8859 for details on the ISO/IEC 8859\nencodings.\n\n[![Package Version](https://img.shields.io/hexpm/v/iso_8859)](https://hex.pm/packages/iso_8859)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/iso_8859/)\n\n## Usage\n\nTo add this library to your Gleam project:\n\n```sh\ngleam add iso_8859\n```\n\nTo use it:\n\n```gleam\n&gt; iso_8859.to_string(&lt;&lt;0xB4, 0xEC, 0xE0&gt;&gt;, iso_8859.Part5)\n&quot;Дьр&quot;\n```\n\nIts documentation can be found at &lt;https://hexdocs.pm/iso_8859&gt;.\n\n## License\n\nThis library is published under the MIT license, a copy of which is included.\n","url":"index.html"},{"doc":"iso_8859","title":"Encoding","content":"pub type Encoding {\n  Part1\n  Part2\n  Part3\n  Part4\n  Part5\n  Part6\n  Part7\n  Part8\n  Part9\n  Part10\n  Part11\n  Part13\n  Part14\n  Part15\n  Part16\n}\n The ISO/IEC 8859 encodings that can be decoded. All 15 ISO/IEC 8859\n encodings are supported.\nPart1\n\n\nPart2\n\n\nPart3\n\n\nPart4\n\n\nPart5\n\n\nPart6\n\n\nPart7\n\n\nPart8\n\n\nPart9\n\n\nPart10\n\n\nPart11\n\n\nPart13\n\n\nPart14\n\n\nPart15\n\n\nPart16\n\n\nSynonyms:\niso_8859.Encoding\niso_8859 Encoding","url":"iso_8859.html#Encoding"},{"doc":"iso_8859","title":"to_string","content":"pub fn to_string(bits: BitArray, encoding: Encoding) -&gt; String\n Converts ISO/IEC 8859 binary data to a UTF-8 string. Any bytes that are not\n valid for the specified encoding are replaced with the `U+FFFD` character:\n �.\nSynonyms:\niso_8859.to_string\niso_8859 to_string","url":"iso_8859.html#to_string"},{"doc":"iso_8859","title":"iso_8859","content":" This library decodes ISO/IEC 8859 binary data into a native UTF-8 string.\n All 15 ISO/IEC 8859 encodings are supported.","url":"iso_8859.html"}]);